<?php
require("conexion.php");

date_default_timezone_set('America/Mazatlan');
	$codcliente = $_POST['cliente'];
	$tipoord = $_POST['tipoord'];
	$emp = $_POST['emp'];
	$folio = $_POST['folio'];
	$tipofolio = $_POST['tipofolio'];
	$fecha = $_POST['fecha'];

	$sub = $_POST['sub'];
	$dcto = $_POST['dcto'];
	$total = $_POST['total'];
	$anti = $_POST['anti'];
	$saldo = $_POST['saldo'];
	$costo = $_POST['costo'];
	$util = $_POST['utilidad'];

	$obsp = $_POST['obsp'];

	$hrent = $_POST['hrent'];
	$fechaent = $_POST['fechaent'];

	$flagc = $_POST['flagc'];

	$mp = $_POST['mp'];
	
	$user = $_SESSION['id_user'];
	if($user == 2){
		$usuariocaptura = $_POST['usuariocaptura'];
	}else{
		$usuariocaptura = $user;
	}

	$suc = $_SESSION['IdSuc'];
	$nomadmin = $_SESSION['nom_admin'];

	$ser = substr($folio, 0,4);
	$fol = substr($folio, 4,8);

function round_up ( $value, $precision ) { 
    $pow = pow ( 10, $precision ); 
    return ( ceil ( $pow * $value ) + ceil ( $pow * $value - ceil ( $pow * $value ) ) ) / $pow; 
} 
	
	




	$cli = mysqli_query($conexion,"SELECT * FROM Clientes WHERE IdCliente = '$codcliente'");
	$c = mysqli_fetch_array($cli);
	$tipo = $c['TipoCliente'];
	$nomcc = $c['Nombre'];


	$ale = intval( "0" . rand(1,9) . rand(0,9) . rand(0,9) . rand(0,9) . rand(0,9) ); // random(ish) 5 digit int
	$id = $cod.$ale;

	$fechaa = date("Y-m-d H:i:s"); 
	$fechab= date('Y-m-d');

	/* TIPO MOVIMIENTOS
	1- Venta
	2- Compra
	3- Editar una orden
	4- Cotizaciones
	5- Pagos
*/
	$rv = mysqli_query($conexion,"SELECT * FROM Ventas WHERE Serie = '$ser' AND FolioVenta ='$fol' AND Activo = '1'");
	$rvf = mysqli_fetch_array($rv);
	$totalv = $rvf['Total'];
	if($flagc == 1){
		$tipoord = 1;
		if($suc == 1){
	    $pre = 'CUL-';
	    $su = 'CULIACAN';
		}else if ($suc == 2){
		    $pre = 'MAZ-';
		    $su = 'MAZATLAN';
		}else if($suc == 3){
		    $pre = 'HER-';
		    $su = 'HERMOSILLO';
		}
		$folv = mysqli_query($conexion,"SELECT * FROM Ventas ");
		if(mysqli_num_rows($folv)>0){

		    $foli = mysqli_query($conexion,"SELECT FolioVenta from Ventas WHERE TipoFolio = '1' AND TipoOrden = '1' AND IdSucursal ='$suc' AND Activo = '1' order by FolioVenta desc limit 1");
		    $f = mysqli_fetch_array($foli);
		    $num = $f['FolioVenta']+1;
		    $num = sprintf('%04d',$num);
		    $folio = $pre.$num;
		}else{
		    $num = sprintf('%04d', 1);
		    $folio = $pre.$num;
		}
	}else if($flagc == 2){
		$tipoord = 1;
		$tipofolio = 2;
		if($suc == 1){
	    $pre = 'NVC-';
		}else if ($suc == 2){
		    $pre = 'NVM-';
		}else if($suc == 3){
		    $pre = 'NVH-';
		}
		$folv = mysqli_query($conexion,"SELECT * FROM Ventas ");
		if(mysqli_num_rows($folv)>0){

		    $foli = mysqli_query($conexion,"SELECT FolioVenta from Ventas WHERE TipoFolio ='2' AND TipoOrden = '1' AND IdSucursal = '$suc' AND Activo = '1' order by FolioVenta desc limit 1");
		    $f = mysqli_fetch_array($foli);
		    $num = $f['FolioVenta']+1;
		    $num = sprintf('%04d',$num);
		    $folio = $pre.$num;
		}else{
		    $num = sprintf('%04d', 1);
		    $folio = $pre.$num;
		}

	}else{
		$pre = $ser;
		$num =$fol;
		$folio = $pre.$num;
	}

	
	
	$desc = 'ORDEN EDITADA FOLIO '.$folio.' CLIENTE '.$nomcc.' TOTAL ANTERIOR: '.$totalv.' TOTAL ACTUAL: '.$total;
	if($pre == 'COT-'){
		$tipomov = 4;
	}else{
	$tipomov = 5;
	}
	if($saldo == 0){
		$edop = 2;
	}else if($saldo > 0 && $anti > 0 ){
		$edop = 1;
	}else if ($anti == 0){
		$edop = 0;
	}
	
	$p = mysqli_query($conexion,"SELECT * FROM Ventas WHERE Serie = '$ser' AND FolioVenta = '$fol'");
	$pf = mysqli_fetch_array($p);
	$usuario = $pf['IdUsuario'];
	$idsuc = $pf['IdSucursal'];
	if($flagc == 0){
		$fechab = $pf['FechaBusq'];
		$fechaa = $pf['FechaVenta'];
	}
	
	$vigm = mysqli_query($conexion,"SELECT * FROM VigenciaMonedero WHERE Activo = 1");
	$vig = mysqli_fetch_array($vigm);
	$vi = $vig['FechaVigencia'];

	if($edop == 2){
		if($tipo == 2){
			$mon = round(($total / 1.16) * 0.05,2);
		}else if($tipo == 1){
			$mon = round(($total / 1.16) * 0.1,2);
		}
		$descme = 'ORDEN EDITADA - MONEDERO ELECTRONICO POR LA CANTIDAD DE '.$mon;
		$verif_mon = mysqli_query($conexion,"SELECT * From Monedero WHERE IdCliente = '$codcliente' and Activo = 1");
		if(mysqli_num_rows($verif_mon) > 0){
			$var = mysqli_fetch_array($verif_mon);
			$idm = $var['IdMonedero'];
			$vigencia = $var['Vigencia'];
			$tipomon = $var['TipoMonedero'];
			$saldoactual = $var['SaldoActual'];
			$ultimacompra = $var['UltimaCompra'];
			$saldototal = $saldoactual + $mon;
			$verif_editar = mysqli_query($conexion,"SELECT * FROM MonederoDetalle WHERE Serie = '$ser' AND Folio = '$fol' AND Activo = 1");
			if(mysqli_num_rows($verif_editar) > 0){
				$vd = mysqli_fetch_array($verif_editar);
				$desc = $vd['Descripcion'];
				$desc_f = $desc.' ORDEN EDITADA SIN AFECTAR MONEDERO';
				$updt = mysqli_query($conexion,"UPDATE MonederoDetalle SET Descripcion = '$desc_f' WHERE Serie = '$ser' AND Folio= '$fol' AND Activo = 1");
			}else{
				
				$ume = mysqli_query($conexion,"UPDATE Monedero SET Vigencia = '$vi',SaldoActual = '$saldototal',UltimaCompra = '$prueba' WHERE IdCliente = '$codcliente' ");
			
				$umed = mysqli_query($conexion,"INSERT INTO MonederoDetalle VALUES (DEFAULT,'$pre','$num','$idm',1,'$mon',1,'$user','$prueba','$descme')");
			}
			

		}else{
			$me = mysqli_query($conexion,"INSERT INTO Monedero VALUES(DEFAULT,'$codcliente','$vi',1,'$mon',DEFAULT,1)");
			sleep(2);
			$idmon = mysqli_query($conexion,"SELECT * FROM Monedero WHERE IdCliente = '$codcliente' and Activo = 1");
			$vmon = mysqli_fetch_array($idmon);
			$idm = $vmon['IdMonedero'];
			$umed = mysqli_query($conexion,"INSERT INTO MonederoDetalle VALUES (DEFAULT,'$pre','$num','$idm',1,'$mon',1,'$user','$prueba','$descme')");
		}
	}
	
	$r = mysqli_query($conexion,"UPDATE Ventas SET TipoOrden = '$tipoord',IdVendedor = '$usuariocaptura',Serie='$pre',FolioVenta='$num',TipoFolio = '$tipofolio',IdCliente = '$codcliente',Subtotal = '$sub',Descuento = '$dcto',Total ='$total',Anticipo ='$anti',Saldo = '$saldo',Obs ='$obsp',HoraEntrega='$hrent',FechaEntrega ='$fechaent',CostoTotal = '$costo',Utilidad = '$util',EstadoPago = '$edop',FechaVenta='$fechaa',FechaBusq='$fechab' WHERE Serie ='$ser' AND FolioVenta ='$fol' AND Activo = '1';");
	if($flagc !=0){
	$vde = mysqli_query($conexion,"UPDATE VentasDetalle SET IdVenta = '$num', Serie='$pre',Fecha='$fechab' WHERE IdVenta = '$fol' AND Serie ='$ser' AND Activo = '1'");
	$mde = mysqli_query($conexion,"UPDATE MovDetalle SET IdVenta = '$num', Serie='$pre',Fecha='$fechab' WHERE IdVenta = '$fol' AND Serie ='$ser'");
	}
	$vd = mysqli_query($conexion,"UPDATE VentasDetalle SET IdVenta = '$num', Serie='$pre' WHERE IdVenta = 0 AND IdSucursal = '$suc' AND IdUsuario = '$user' AND Activo = '1'");
	$me = mysqli_query($conexion,"UPDATE Movimientos SET Anticipo = '0', Total = '0', Saldo = '0' WHERE Serie = '$ser' AND FolioVenta='$fol' AND Activo = '1'");

	$m = mysqli_query($conexion,"INSERT INTO Movimientos VALUES(DEFAULT,'$pre','$num','$desc','$tipomov','$fechaa','$total','$anti','$saldo','$usuario','$idsuc',1,'$fechab','$mp',0);");

	$folm = mysqli_query($conexion,"SELECT * FROM Movimientos ");
	if(mysqli_num_rows($folm)>0){

	    $folim = mysqli_query($conexion,"SELECT IdMovimiento from Movimientos order by IdMovimiento desc limit 1");
	    $fm = mysqli_fetch_array($folim);
	    $idm = $fm['IdMovimiento']+1;
	}else{
	    $idm = '1';
	}

	$md = mysqli_query($conexion,"UPDATE MovDetalle SET IdVenta = '$num', Serie = '$pre',IdMovimiento = '$idm' WHERE IdVenta = 0 AND IdSucursal = '$suc' AND IdUsuario = '$user' AND IdMovimiento IS NULL");



	/*echo $tipo.' '.$cant.' '.$largo.' '.$ancho.' '.$med.' '.$area.' '.$cod.' '.$cm.' '.$ca.' '.$ml.' '.$res.' '.$pap.' '.$text.' '.$canva.' '.$acri.' '.$dobcar.' '.$obs.' '.$totprecio.' '.$totcm.' '.$totca.' '.$totml.' '.$totres.' '.$totpap.' '.$tottext.' '.$maq.' '.$totcanva.' '.$totacrilico.' '.$totdobca.' '.$total.' '.$user.' '.$fecha.' '.$idsuc;
	if($suc == 2){
		$destinatario = "raauulrg@gmail.com"; 
		$asunto = "Se ha capturado una nueva orden ".$folio; 
		$cuerpo = ' 
		<html> 
		<head> 
		   <title>Nueva orden capturada</title> 
		</head> 
		<body> 
		<h1>Se ha capturado una nueva orden!</h1> 
		<p> 
		<b>Folio de la orden: '.$folio.' 
		</p> 
		<p> 
		<b>Cliente: '.$nomcc.'
		</p>
		<p> 
		<b>Total: $'.$total.'
		</p>
		<p> 
		<b>Anticipo: $'.$anti.'
		</p>
		<p> 
		<b>Saldo: $'.$saldo.'
		</p>   
		<p> 
		<b>Sucursal: '.$su.'
		</p> 
		<p> 
		<b>Capturada por: '.$nomadmin.'
		</p>  
		</body> 
		</html> 
		'; 

		//para el envío en formato HTML 
		$headers = "MIME-Version: 1.0\r\n"; 
		$headers .= "Content-type: text/html; charset=iso-8859-1\r\n"; 

		//dirección del remitente 
		$headers .= "From: SIC (Sistema integral CUADROPOLIS) <ventas@cuadropolis.mx>\r\n"; 


		mail($destinatario,$asunto,$cuerpo,$headers);
	}*/

	echo $pre.'|'.$num.'|'.$tipoord.'|'.$suc;

?>